Company logoTrust Center Documentation

List variants

Retrieve all variants for the current tenant, each including its options and translations. Browse request parameters, authentication requirements, response…

GET
/api/v1/variants

Retrieve all variants for the current tenant, each including its options and translations.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/v1/variants"
{
  "variants": [
    {
      "id": "var-123",
      "title": "Industry",
      "slug": "industry",
      "enabled": true,
      "order": 1,
      "translations": [
        {
          "id": "vt-1",
          "languages_code": "en-US",
          "title": "Industry"
        },
        {
          "id": "vt-2",
          "languages_code": "de-DE",
          "title": "Branche"
        }
      ],
      "options": [
        {
          "id": "opt-1",
          "title": "FinTech",
          "slug": "fintech",
          "enabled": true,
          "order": 1,
          "translations": [
            {
              "id": "ot-1",
              "languages_code": "en-US",
              "title": "FinTech"
            }
          ]
        }
      ]
    }
  ]
}
Empty
Empty
Empty

How is this guide?